curl
curl -sS -X POST "https://gateway.orbit/api/v1/gateway/release-automation/enable" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"enabled": true,
"paused": true,
"pause": {
"reason": "<string>",
"since": "<string>",
"record": 123,
"release": "<string>",
"sha": "<string>",
"error_code": "<string>",
"snapshot": "<string>"
},
"current_release": "<string>",
"current_sha": "<string>",
"last_tick": {
"checked_at": "<string>",
"result": "<string>",
"sha": "<string>",
"record": 123,
"error_code": "<string>",
"message": "<string>"
},
"stalled_since": "<string>",
"branch_head": "<string>",
"behind_since": "<string>",
"branch": "<string>",
"check": "<string>",
"tick_confirmation": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Gateway
gateway:release:auto:enable
Turns automatic Gateway releases on. A pause still holds them until gateway:release:auto:resume.
POST
/
api
/
v1
/
gateway
/
release-automation
/
enable
curl
curl -sS -X POST "https://gateway.orbit/api/v1/gateway/release-automation/enable" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"enabled": true,
"paused": true,
"pause": {
"reason": "<string>",
"since": "<string>",
"record": 123,
"release": "<string>",
"sha": "<string>",
"error_code": "<string>",
"snapshot": "<string>"
},
"current_release": "<string>",
"current_sha": "<string>",
"last_tick": {
"checked_at": "<string>",
"result": "<string>",
"sha": "<string>",
"record": 123,
"error_code": "<string>",
"message": "<string>"
},
"stalled_since": "<string>",
"branch_head": "<string>",
"behind_since": "<string>",
"branch": "<string>",
"check": "<string>",
"tick_confirmation": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}